K3CONF(1)

NAME
k3conf - TI K3 Configuration Diagnostic Tool

SYNOPSIS
k3conf - [--host <id>] [--version] [--help] [--cpuinfo] <command> [<args>]

DESCRIPTION
k3conf is a standalone application designed to provide a quick'n easy way to diagnose/debug/audit TI K3 based architecture processors configuration at runtime, with no particular kernel dependency. k3conf is designed to be as platform-agnostic as possible, being able to run on any Linux platform and easy to port to any other OS. Even if k3conf today focuses on TISCI related functionality, it is intended to any other area.

OPTIONS

--host<id>
    Use this host id for communicating with sysfw

--help
    Print k3conf help

--version
    Print k3conf version

--cpuinfo
    Print the host processor information

COMMANDS

k3conf show hosts
    Prints all the available TISCI hosts

k3conf show threads
    Prints all available TISCI threads

k3conf show device
    Prints all available TISCI devices

k3conf show device <dev_id>
    Prints the corresponding device id information

k3conf show clock
    Prints all the available TISCI clocks

k3conf show clock <dev_id>
    Prints the clock for corresponding device id

k3conf show processor
    Prints all the available TISCI processors

k3conf show rm
    Prints the resources managed by system firmware

k3conf show rm <dev_id>
    Prints resources managed by System firmware for corresponding device

k3conf dump device
    Prints device status of all TISCI devices

k3conf dump device <dev_id>
    Prints device status of corresponding TISCI device

k3conf dump clock
    Prints clock status of all TISCI devices

k3conf dump clock <dev_id>
    Prints clock status of corresponding TISCI device.

k3conf dump parent_clock <dev_id> <clk_id>
    Prints the clock parent of corresponding clock

k3conf dump processors
    Prints status of all available processors

k3conf dump processor <dev_id>
    Prints status of corresponding processor

k3conf dump rm [OPTIONS]
    Prints resource allocation for all utypes / hosts

k3conf dump rm [OPTIONS] <type>
    Prints resource allocation for corresponding utype

k3conf dump rm [OPTIONS] <type> <subtype>
    Prints resource allocation for corresponding type and subtype

    [OPTIONS]
        -h <host_id> Filter only corresponding host_id

k3conf enable device <dev_id>
    Enables TISCI device and prints the status

k3conf enable clock <dev_id> <clk_id>
    Enables TISCI clock and prints the status

k3conf disable device <dev_id>
    Disables TISCI device and prints the status

k3conf disable clock device <dev_id> <clk_id>
    Disables TISCI clock and prints the status

k3conf set clock <dev_id> <clk_id> <freq>
    Sets TISCI clock's frequency and prints the status

k3conf set parent_clock <dev_id> <clk_id> <freq>
    Sets the parent clock for a clock mux and prints the mux status
    Refer to the following documentation for preconditions
    http://downloads.ti.com/tisci/esd/latest/2_tisci_msgs/pm/clocks.html#power-management-clock-frequency-configure
    http://downloads.ti.com/tisci/esd/latest/2_tisci_msgs/pm/clocks.html#tisci-msg-set-clock-parent

k3conf read <addr> [<size>]
    No. of bits to be read is given in the size argument
    Expected input size is 8,16,32,64
    Prints the value at the specified io memory

k3conf write <addr> <val> [<size>]

    No. of bits to be written is given in the size argument
    Expected input size is 8,16,32,64
    Writes the value at the specified io memory